diff --git a/drupal7/sites/all/modules/date/tests/DateEmwTestCase.test b/drupal7/sites/all/modules/date/tests/DateEmwTestCase.test
new file mode 100644
index 00000000..e12b36fc
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/DateEmwTestCase.test
@@ -0,0 +1,143 @@
+<?php
+
+/**
+ * @file
+ * Test Date (ISO) and the Entity Metadata Wrappers play well together.
+ */
+
+/**
+ * Test Date (ISO) and the Entity Metadata Wrappers play well together.
+ */
+class DateEmwTestCase extends DrupalWebTestCase {
+
+  /**
+   * Info about this test.
+   */
+  public static function getInfo() {
+    return array(
+      'name' => 'Date Entity Metadata Wrappers',
+      'description' => 'Ensure default timezone setting in metadata wrapper integration is working as expected.',
+      'group' => 'Date',
+      'dependencies' => array('entity'),
+    );
+  }
+
+  /**
+   * Set up a user and a content type with a Date (ISO) field.
+   */
+  public function setUp(array $modules = array()) {
+    // Define the dependencies.
+    $modules[] = 'date_api';
+    $modules[] = 'date';
+    $modules[] = 'field';
+    $modules[] = 'field_ui';
+    $modules[] = 'entity';
+    $modules[] = 'entity_token';
+    parent::setUp($modules);
+
+    // Select a specific default timezone, and turn off user-configurable
+    // timezone handling.
+    variable_set('date_default_timezone', 'Pacific/Honolulu');
+    variable_set('configurable_timezones', 0);
+
+    // Create a privileged user and log in with it.
+    $this->privileged_user = $this->drupalCreateUser(array(
+      'administer site configuration',
+      'administer content types',
+      'administer nodes',
+      'bypass node access',
+      'administer fields',
+    ));
+    $this->drupalLogin($this->privileged_user);
+
+    // Create a content type to which we can add our date fields.
+    $edit = array();
+    $edit['name'] = 'Story';
+    $edit['type'] = 'story';
+    $this->drupalPost('admin/structure/types/add', $edit, t('Save content type'));
+    $this->assertText('The content type Story has been added.', 'Content type added.');
+
+    // Add each of our date field types.
+    $this->date_types = array(
+      'date' => 'Date (ISO format)',
+      'datetime' => 'Date',
+      'datestamp' => 'Date (Unix timestamp)',
+    );
+    foreach ($this->date_types as $type => $label) {
+      $field_name_for_human = 'test_' . $type;
+
+      // Add the field.
+      $field = array();
+      $field['fields[_add_new_field][label]'] = $label;
+      $field['fields[_add_new_field][field_name]'] = $field_name_for_human;
+      $field['fields[_add_new_field][type]'] = $type;
+      $field['fields[_add_new_field][widget_type]'] = 'date_text';
+      $this->drupalPost('admin/structure/types/manage/story/fields', $field, 'Save');
+      $this->assertText('These settings apply to the ' . $field['fields[_add_new_field][label]'] . ' field everywhere it is used.', $label . ' field added to content type.');
+
+      // Set the timezone handling to 'none'.
+      $field = array();
+      $field['field[settings][tz_handling]'] = 'none';
+      $this->drupalPost('admin/structure/types/manage/story/fields/field_' . $field_name_for_human, $field, 'Save settings');
+      $this->assertText('Saved ' . $label . ' configuration.');
+    }
+  }
+
+  /**
+   * Test the edge case where timezone_db is empty.
+   *
+   * In this case the value returned by entity metadata wrappers is not the same
+   * as that which is stored in the node.
+   *
+   * @see https://www.drupal.org/node/2123039
+   */
+  public function testCheckEntityMetadataWrapper() {
+    // Create and save a edit.
+    $edit = array();
+    $edit['title'] = 'Testing dates';
+    $edit['type'] = 'story';
+    $this->drupalCreateNode($edit);
+    // Fetch the Node.
+    $node = $this->drupalGetNodeByTitle($edit['title']);
+    // Prepare variables for token replacement.
+    $variables['node'] = $node;
+    // At this point we have a node with the appropriate field types available.
+    $wrapper = entity_metadata_wrapper('node', $node);
+    $original = '1482721671';
+    foreach ($this->date_types as $type => $label) {
+      $field = 'field_test_' . $type;
+      $wrapper->{$field} = $original;
+      $from_metadata_wrapper = $wrapper->{$field}->value();
+
+      $this->assertEqual(
+        $original,
+        $from_metadata_wrapper,
+        t(
+          '!type plays nicely with Entity Metadata Wrappers. !original == !fetched',
+          array(
+            '!type' => $label,
+            '!original' => $original,
+            '!fetched' => $from_metadata_wrapper,
+          )
+        )
+      );
+
+      $token = "[node:field-test-${type}:raw]";
+      $from_token = token_replace($token, $variables);
+
+      $this->assertEqual(
+        $original,
+        $from_token,
+        t(
+          '!type plays nicely with Entity tokens. !original == !fetched',
+          array(
+            '!type' => $label,
+            '!original' => $original,
+            '!fetched' => $from_token,
+          )
+        )
+      );
+    }
+  }
+
+}
diff --git a/drupal7/sites/all/modules/date/tests/date_field.test b/drupal7/sites/all/modules/date/tests/DateFieldTestBase.test
similarity index 83%
rename from drupal7/sites/all/modules/date/tests/date_field.test
rename to drupal7/sites/all/modules/date/tests/DateFieldTestBase.test
index b8aad594..feff7f73 100644
--- a/drupal7/sites/all/modules/date/tests/date_field.test
+++ b/drupal7/sites/all/modules/date/tests/DateFieldTestBase.test
@@ -2,26 +2,37 @@
 
 /**
  * @file
- * Basic functions for Date tests.
+ * Shared test functionality.
  */
-abstract class DateFieldBasic extends DrupalWebTestCase {
+
+/**
+ * Shared test functionality.
+ */
+abstract class DateFieldTestBase extends DrupalWebTestCase {
   protected $privileged_user;
 
   /**
-   * @todo.
+   * {@inheritdoc}
    */
-  protected function setUp() {
-    // Load the date_api module.
-    parent::setUp('field', 'field_ui', 'date_api', 'date', 'date_popup', 'date_tools');
+  public function setUp(array $modules = array()) {
+    $modules[] = 'field';
+    $modules[] = 'field_ui';
+    $modules[] = 'date_api';
+    $modules[] = 'date';
+    $modules[] = 'date_tools';
+    parent::setUp($modules);
 
     // Create and log in our privileged user.
-    $this->privileged_user = $this->drupalCreateUser(
-      array('administer content types', 'administer nodes', 'bypass node access', 'administer date tools', 'administer fields')
+    $perms = array(
+      'administer content types',
+      'administer nodes',
+      'bypass node access',
+      'administer date tools',
+      'administer fields',
     );
+    $this->privileged_user = $this->drupalCreateUser($perms);
     $this->drupalLogin($this->privileged_user);
 
-    variable_set('date_popup_timepicker', 'none');
-
     module_load_include('inc', 'node', 'content_types');
     module_load_include('inc', 'node', 'node.pages');
     module_load_include('inc', 'field', 'field.crud');
@@ -32,7 +43,6 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
     $edit['type'] = 'story';
     $this->drupalPost('admin/structure/types/add', $edit, t('Save content type'));
     $this->assertText('The content type Story has been added.', 'Content type added.');
-
   }
 
   /**
@@ -42,6 +52,7 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
    * different.
    */
   protected function createDateField($values = array()) {
+    $this->verbose($values);
     extract($values);
 
     $field_name = !empty($field_name) ? $field_name : 'field_test';
@@ -60,6 +71,7 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
     $text_parts = !empty($text_parts) ? $text_parts : array();
     $increment = !empty($increment) ? $increment : 15;
     $default_value = !empty($default_value) ? $default_value : 'now';
+    $default_value_code = !empty($default_value_code) ? $default_value_code : NULL;
     $default_value2 = !empty($default_value2) ? $default_value2 : 'blank';
     $default_format = !empty($default_format) ? $default_format : 'long';
     $cache_enabled = !empty($cache_enabled);
@@ -84,8 +96,8 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
       'field_name' => $field_name,
       'label' => $label,
       'bundle' => $bundle,
-      // Move the date right below the title.
-      'weight' => -4,
+      // Move the date to the top.
+      'weight' => -100,
       'widget' => array(
         'type' => $widget_type,
         // Increment for minutes and seconds, can be 1, 5, 10, 15, or 30.
@@ -100,10 +112,11 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
           'label_position' => 'above',
           'repeat_collapsed' => 0,
         ),
-        'weight' => -4,
+        'weight' => -100,
       ),
       'settings' => array(
         'default_value' => $default_value,
+        'default_value_code' => $default_value_code,
         'default_value2' => $default_value2,
       ),
     );
@@ -139,16 +152,18 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
       ),
     );
 
+    $this->verbose($field);
     $field = field_create_field($field);
+
+    $this->verbose($instance);
     $instance = field_create_instance($instance);
 
-    field_info_cache_clear(TRUE);
-    field_cache_clear(TRUE);
+    field_info_cache_clear();
+    field_cache_clear();
 
     // Look at how the field got configured.
     $this->drupalGet("admin/structure/types/manage/$bundle/fields/$field_name");
     $this->drupalGet("admin/structure/types/manage/$bundle/display");
-
   }
 
   /**
@@ -202,8 +217,8 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
       'field_name' => $field_name,
       'label' => $label,
       'bundle' => $bundle,
-      // Move the date right below the title.
-      'weight' => -4,
+      // Move the date to the top.
+      'weight' => -100,
       'widget' => array(
         'type' => $widget_type,
         // Increment for minutes and seconds, can be 1, 5, 10, 15, or 30.
@@ -218,7 +233,7 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
           'label_position' => 'above',
           'repeat_collapsed' => 0,
         ),
-        'weight' => -4,
+        'weight' => -100,
       ),
       'settings' => array(
         'default_value' => $default_value,
@@ -260,10 +275,11 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
     $field = field_create_field($field);
     $instance = field_create_instance($instance);
 
-    field_info_cache_clear(TRUE);
-    field_cache_clear(TRUE);
+    field_info_cache_clear();
+    field_cache_clear();
 
     // Look at how the field got configured.
+    $this->drupalGet("admin/structure/types/manage/$bundle/fields");
     $this->drupalGet("admin/structure/types/manage/$bundle/fields/$field_name");
     $this->drupalGet("admin/structure/types/manage/$bundle/display");
   }
@@ -278,49 +294,29 @@ abstract class DateFieldBasic extends DrupalWebTestCase {
     $this->assertText("The field $label has been deleted from the $bundle_name content type.", 'Removed date field.');
   }
 
-}
-
-class DateFieldTestCase extends DateFieldBasic {
-
   /**
-   * @todo.
+   * {@inheritdoc}
    */
-  public static function getInfo() {
-    return array(
-      'name' => 'Date Field',
-      'description' => 'Test date field settings and Start/End date interaction.',
-      'group' => 'Date',
-    );
-  }
+  protected function verbose($message, $title = NULL) {
+    // Handle arrays, objects, etc.
+    if (!is_string($message)) {
+      $message = "<pre>\n" . print_r($message, TRUE) . "\n</pre>\n";
+    }
 
-  /**
-   * @todo.
-   */
-  public function testField() {
-    // Create a date fields with simple values.
-    foreach (array('date', 'datestamp', 'datetime') as $field_type) {
-      foreach (array('date_select', 'date_popup', 'date_text') as $widget_type) {
-        $field_name = "field_test_$widget_type";
-        $label = 'Test';
-        $options = array(
-          'label' => $label,
-          'widget_type' => $widget_type,
-          'field_name' => $field_name,
-          'field_type' => $field_type,
-          'input_format' => 'm/d/Y - H:i',
-        );
-        $this->createDateField($options);
-        $this->dateForm($field_name, $field_type, $widget_type);
-        $this->deleteDateField($label);
-      }
+    // Optional title to go before the output.
+    if (!empty($title)) {
+      $title = '<h2>' . check_plain($title) . "</h2>\n";
     }
+
+    parent::verbose($title . $message);
   }
 
   /**
-   * @todo.
+   * Tests that date field functions properly.
    */
   public function dateForm($field_name, $field_type, $widget_type, $todate = TRUE) {
-    // Tests that date field functions properly.
+    $this->verbose(func_get_args());
+
     $edit = array();
     $edit['title'] = $this->randomName(8);
     if ($widget_type == 'date_select') {
@@ -354,9 +350,9 @@ class DateFieldTestCase extends DateFieldBasic {
         $edit[$field_name . '[und][0][value2][time]'] = '11:30';
       }
     }
+
     // Test that the date is displayed correctly using both the 'short' and
     // 'long' date types.
-    //
     // For the short type, save an explicit format and assert that is the one
     // which is displayed.
     variable_set('date_format_short', 'l, m/d/Y - H:i:s');
@@ -367,6 +363,7 @@ class DateFieldTestCase extends DateFieldBasic {
     $this->assertText($edit['title'], "Node has been created");
     $should_be = $todate ? 'Thursday, 10/07/2010 - 10:30 to 11:30' : 'Thursday, 10/07/2010 - 10:30';
     $this->assertText($should_be, "Found the correct date for a $field_type field using the $widget_type widget displayed using the short date format.");
+
     // For the long format, do not save anything, and assert that the displayed
     // date uses the expected default value of this format provided by Drupal
     // core ('l, F j, Y - H:i').
@@ -378,4 +375,32 @@ class DateFieldTestCase extends DateFieldBasic {
     $should_be = $todate ? 'Thursday, October 7, 2010 - 10:30 to 11:30' : 'Thursday, October 7, 2010 - 10:30';
     $this->assertText($should_be, "Found the correct date for a $field_type field using the $widget_type widget displayed using the long date format.");
   }
+
+  /**
+   * Run some tests against a specific field type/widget combination.
+   *
+   * @param string $field_type
+   *   The field type to use.
+   * @param string $widget_type
+   *   The widget type to use.
+   * @param bool $delete_when_done
+   *   Whether to delete the field when it's finished; defaults to TRUE.
+   */
+  protected function checkDateField($field_type, $widget_type, $delete_when_done = TRUE) {
+    $field_name = "field_test_$widget_type";
+    $label = 'Test';
+    $options = array(
+      'label' => $label,
+      'widget_type' => $widget_type,
+      'field_name' => $field_name,
+      'field_type' => $field_type,
+      'input_format' => 'm/d/Y - H:i',
+    );
+    $this->createDateField($options);
+    $this->dateForm($field_name, $field_type, $widget_type);
+    if ($delete_when_done) {
+      $this->deleteDateField($label);
+    }
+  }
+
 }
diff --git a/drupal7/sites/all/modules/date/tests/DateFieldTestCase.test b/drupal7/sites/all/modules/date/tests/DateFieldTestCase.test
new file mode 100644
index 00000000..cc8ced9f
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/DateFieldTestCase.test
@@ -0,0 +1,59 @@
+<?php
+
+/**
+ * @file
+ * Test the handling of the two included field widgets.
+ */
+
+/**
+ * Test the handling of the two included field widgets.
+ */
+class DateFieldTestCase extends DateFieldTestBase {
+
+  /**
+   * Test relative default values.
+   */
+  public function testRelativeDefault() {
+    $edit = array();
+    $edit['name'] = 'Date Relative Default Test';
+    $edit['type'] = 'date_relative_default_test';
+    $this->drupalPost('admin/structure/types/add', $edit, t('Save content type'));
+    $this->assertText('The content type Date Relative Default Test has been added.', 'Content type added.');
+
+    $options = array(
+      'bundle' => 'date_relative_default_test',
+      'default_value' => 'strtotime',
+      'default_value_code' => '+1',
+    );
+    $this->createDateField($options);
+
+    $edit = array();
+    $edit['title'] = $this->randomName(8);
+    $this->drupalPost('node/add/date-relative-default-test', $edit, t('Save'));
+
+  }
+
+  /**
+   * @todo.
+   */
+  public static function getInfo() {
+    return array(
+      'name' => 'Date Field',
+      'description' => 'Test date field settings and Start/End date interaction.',
+      'group' => 'Date',
+    );
+  }
+
+  /**
+   * Check all of the included field types for basic functionality.
+   */
+  public function testField() {
+    // Create a date fields with simple values.
+    foreach (array('date', 'datestamp', 'datetime') as $field_type) {
+      foreach (array('date_select', 'date_text') as $widget_type) {
+        $this->checkDateField($field_type, $widget_type, TRUE);
+      }
+    }
+  }
+
+}
diff --git a/drupal7/sites/all/modules/date/tests/date_form.test b/drupal7/sites/all/modules/date/tests/DateFormTestCase.test
similarity index 66%
rename from drupal7/sites/all/modules/date/tests/date_form.test
rename to drupal7/sites/all/modules/date/tests/DateFormTestCase.test
index 56b89e43..e5382ab7 100644
--- a/drupal7/sites/all/modules/date/tests/date_form.test
+++ b/drupal7/sites/all/modules/date/tests/DateFormTestCase.test
@@ -5,8 +5,14 @@
  * Contains form specific date element test cases.
  */
 
+/**
+ * Contains form specific date element test cases.
+ */
 class DateFormTestCase extends DrupalWebTestCase {
 
+  /**
+   * {@inheritdoc}
+   */
   public static function getInfo() {
     return array(
       'name' => t('Date Form test'),
@@ -15,9 +21,12 @@ class DateFormTestCase extends DrupalWebTestCase {
     );
   }
 
-  public function setUp() {
-    // Load the date_api module.
-    parent::setUp('date_test');
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp(array $modules = array()) {
+    $modules[] = 'date_test';
+    parent::setUp($modules);
   }
 
   /**
diff --git a/drupal7/sites/all/modules/date/tests/date_migrate.test b/drupal7/sites/all/modules/date/tests/DateMigrateTestCase.test
similarity index 63%
rename from drupal7/sites/all/modules/date/tests/date_migrate.test
rename to drupal7/sites/all/modules/date/tests/DateMigrateTestCase.test
index ec2ae7d8..669bf88e 100644
--- a/drupal7/sites/all/modules/date/tests/date_migrate.test
+++ b/drupal7/sites/all/modules/date/tests/DateMigrateTestCase.test
@@ -6,9 +6,9 @@
  */
 
 /**
- * Test date migration.
+ * Test for using date fields with Migrate module.
  */
-class DateMigrateExampleUnitTest extends DrupalWebTestCase {
+class DateMigrateTestCase extends DrupalWebTestCase {
 
   /**
    * Provides information about this test.
@@ -16,52 +16,61 @@ class DateMigrateExampleUnitTest extends DrupalWebTestCase {
   public static function getInfo() {
     return array(
       'name' => 'Date Migration',
-      'description' => 'Test migration into date fields',
+      'description' => 'Test migration into date fields.',
       'group' => 'Date',
       'dependencies' => array('migrate', 'features'),
     );
   }
 
   /**
-   * Declars the module dependencies for the test.
+   * {@inheritdoc}
    */
-  function setUp() {
-    parent::setUp('migrate', 'features', 'date', 'date_repeat',
-                  'date_repeat_field', 'date_migrate_example');
+  public function setUp(array $modules = array()) {
+    $modules[] = 'date_test_feature';
+    $modules[] = 'date_migrate_test';
+    parent::setUp($modules);
+
     // Make sure the migration is registered.
     if (function_exists('migrate_static_registration')) {
-      // Migrate 2.6 and later
+      // Migrate 2.6 and later.
       migrate_static_registration();
     }
     else {
-      // Migrate 2.5 and earlier
+      // Migrate 2.5 and earlier.
       migrate_get_module_apis(TRUE);
     }
   }
 
   /**
-   * Verify that date fields are imported correctly. When no timezone is
-   * explicitly provided with the source data, we want the displayed time on the
-   * Drupal site to match that in the source data. To validate that, we make
-   * sure we have set a consistent timezone at the PHP and Drupal levels, and
-   * that the format used on the page is not locale-dependent (no day or month
-   * names). Then, we can just look for the desired date/time strings in the
-   * node page.
+   * Verify that date fields are imported correctly.
+   *
+   * When no timezone is explicitly provided with the source data, we want the
+   * displayed time on the Drupal site to match that in the source data. To
+   * validate that, we make sure we have set a consistent timezone at the PHP
+   * and Drupal levels, and that the format used on the page is not locale-
+   * dependent (no day or month names). Then, we can just look for the desired
+   * date/time strings in the node page.
    */
-  function testDateImport() {
+  public function testDateImport() {
     date_default_timezone_set('America/Los_Angeles');
     variable_set('date_default_timezone', 'America/Los_Angeles');
     variable_set('date_format_medium', 'Y-m-d H:i');
     $migration = Migration::getInstance('DateExample');
     $result = $migration->processImport();
     $this->assertEqual($result, Migration::RESULT_COMPLETED, t('Variety term import returned RESULT_COMPLETED'));
-    $rawnodes = node_load_multiple(FALSE, array('type' => 'date_migrate_example'), TRUE);
+    $rawnodes = node_load_multiple(FALSE, array('type' => 'date_test_feature'), TRUE);
     $this->assertEqual(count($rawnodes), 2, t('Two sample nodes created'));
+
+    // Test the first imported node.
     $node = reset($rawnodes);
     $this->drupalGet('/node/' . $node->nid);
+    $this->assertText('Simple example', t('Found the first node'));
+    $this->assertText('This is pretty straight-forward.', t('Found the first node'));
     $this->assertText('2011-05-12 19:43', t('Simple date field found'));
     $this->assertText('2011-06-13 18:32 to 2011-07-23 10:32', t('Date range field found'));
     $this->assertText('2011-07-22 12:13', t('Datestamp field found'));
+    // This needs to output the exact time and now "(All day)" because this
+    // field does not have the "all day" option selected.
     $this->assertText('2011-08-01 00:00 to 2011-09-01 00:00', t('Datestamp range field found'));
     $this->assertText('2011-11-18 15:00', t('Datetime field with +9 timezone found'));
     $this->assertText('2011-10-30 14:43 to 2011-12-31 17:59', t('Datetime range field with -5 timezone found'));
@@ -69,8 +78,12 @@ class DateMigrateExampleUnitTest extends DrupalWebTestCase {
     $this->assertText('2011-12-09 09:01', t('Second date repeat instance found'));
     $this->assertNoText('2011-12-23 09:01', t('Skipped date repeat instance not found'));
     $this->assertText('2012-05-11 09:01', t('Last date repeat instance found'));
+
+    // Test the second imported node.
     $node = next($rawnodes);
     $this->drupalGet('/node/' . $node->nid);
+    $this->assertText('Example with multi-value fields', t('Found the second node'));
+    $this->assertText('This is not as straight-forward.', t('Found the second node'));
     $this->assertText('2012-06-21 15:32', t('First date value found'));
     $this->assertText('2012-12-02 11:08', t('Second date value found'));
     $this->assertText('2004-02-03 01:15', t('Start for first date range found'));
@@ -78,4 +91,5 @@ class DateMigrateExampleUnitTest extends DrupalWebTestCase {
     $this->assertText('2014-09-01 17:21', t('Start for second date range found'));
     $this->assertText('2015-12-23 00:01', t('End for first second range found'));
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/tests/DateNowUnitTestCase.test b/drupal7/sites/all/modules/date/tests/DateNowUnitTestCase.test
new file mode 100644
index 00000000..bdab4a37
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/DateNowUnitTestCase.test
@@ -0,0 +1,64 @@
+<?php
+
+/**
+ * @file
+ * Test Date Now unit tests.
+ */
+
+/**
+ * Test Date Now unit tests.
+ */
+class DateNowUnitTestCase extends DrupalUnitTestCase {
+
+  /**
+   *
+   */
+  public static function getInfo() {
+    return array(
+      'name' => t('Date Now'),
+      'description' => t('Test Date Now function.') ,
+      'group' => t('Date'),
+    );
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp() {
+    drupal_load('module', 'date_api');
+    parent::setUp();
+  }
+
+  public function testDateNowNoTimezone() {
+    // Test without passing a timezone.
+    $now = date_now();
+
+    $this->assertTrue(($now instanceof DateObject), 'Test date_now() returns a DateObject');
+  }
+
+  public function testDateNowStringTimezones() {
+    // Test with a string timezone.
+    $la_time = date_now('America/Los_Angeles');
+    $ny_time = date_now('America/New_York');
+
+    $this->assertTrue(($la_time instanceof DateObject), 'Test America/Los_Angeles returns a DateObject');
+    $this->assertTrue(($ny_time instanceof DateObject), 'Test America/New_York returns a DateObject');
+
+    $this->assertEqual($la_time->getTimestamp(), $ny_time->getTimestamp(), 'Test different timezones have same Unix timestamp');
+  }
+
+  public function testDateNowObjectTimezones() {
+    // Test with object timezones.
+    $la_tz = new DateTimeZone('America/Los_Angeles');
+    $ny_tz = new DateTimeZone('America/New_York');
+
+    $la_time = date_now($la_tz);
+    $ny_time = date_now($ny_tz);
+
+    $this->assertTrue(($la_time instanceof DateObject), 'Test America/Los_Angeles returns a DateObject');
+    $this->assertTrue(($ny_time instanceof DateObject), 'Test America/New_York returns a DateObject');
+
+    $this->assertEqual($la_time->getTimestamp(), $ny_time->getTimestamp(), 'Test different timezones have same Unix timestamp');
+  }
+
+}
